Bug 128551 - New port: www/rubygem-sinatra - classy web development framework in ruby
Summary: New port: www/rubygem-sinatra - classy web development framework in ruby
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-11-03 00:40 UTC by Daniel Roethlisberger
Modified: 2008-11-21 21:00 UTC (History)
1 user (show)

See Also:


Attachments
rubygem-sinatra.shar (2.93 KB, text/plain)
2008-11-03 00:40 UTC, Daniel Roethlisberger
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Roethlisberger 2008-11-03 00:40:01 UTC
Sinatra is a DSL for quickly creating web-applications in Ruby
with minimal effort.  It sits on top of Rack, a minimal standard
interface for Ruby web frameworks.  For templating, the choices
include erb, haml, sass and Builder.

WWW: http://github.com/bmizerany/sinatra

Note that this port depends on the update of www/rubygem-rack to 0.4.0,
which I have submitted as a separate PR.
Comment 1 Martin Wilke freebsd_committer 2008-11-03 05:39:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Daniel Roethlisberger 2008-11-18 10:13:42 UTC
FYI: The update of www/rubygem-rack (ports/128550), on which this
PR depends, has been committed by kuriyama@.

-- 
Daniel Roethlisberger
http://daniel.roe.ch/
Comment 3 Martin Wilke freebsd_committer 2008-11-21 20:57:47 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2008-11-21 20:58:12 UTC
miwi        2008-11-21 20:58:04 UTC

  FreeBSD ports repository

  Modified files:
    www                  Makefile 
  Added files:
    www/rubygem-sinatra  Makefile distinfo pkg-descr pkg-message 
  Log:
  Sinatra is a DSL for quickly creating web-applications in Ruby
  with minimal effort.  It sits on top of Rack, a minimal standard
  interface for Ruby web frameworks.  For templating, the choices
  include erb, haml, sass and Builder.
  
  WWW: http://github.com/bmizerany/sinatra
  
  PR:             ports/128551
  Submitted by:   Daniel Roethlisberger <daniel at roe.ch>
  
  Revision  Changes    Path
  1.2178    +1 -0      ports/www/Makefile
  1.1       +30 -0     ports/www/rubygem-sinatra/Makefile (new)
  1.1       +3 -0      ports/www/rubygem-sinatra/distinfo (new)
  1.1       +6 -0      ports/www/rubygem-sinatra/pkg-descr (new)
  1.1       +12 -0     ports/www/rubygem-sinatra/pkg-message (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"